import math

def calcular_aspecto(ancho: int, alto: int):
    """Calcula la relación de aspecto más cercana."""
    try:
        gcd = math.gcd(ancho, alto)
        aspecto_ancho = ancho // gcd
        aspecto_alto = alto // gcd
        return f" La relación de aspecto de {ancho}x{alto} es **{aspecto_ancho}:{aspecto_alto}**."
    except Exception as e:
        return f" Error: {e}"

def run(sender, *args):
    """Función principal que será ejecutada por el bot."""
    if len(args) != 2:
        return " Uso: `.aspect <ancho> <alto>` (Ej: `.aspect 1920 1080`)"
    try:
        return calcular_aspecto(int(args[0]), int(args[1]))
    except ValueError:
        return "️ Los valores deben ser números enteros. Uso: `.aspect <ancho> <alto>`"

def help():
    return " Usa `.aspect <ancho> <alto>` para calcular la relación de aspecto de una resolución. Ejemplo: `.aspect 1920 1080`"

