import math

class DpiPlugin:
    """Plugin para calcular DPI de una pantalla dados el ancho, alto en píxeles y el tamaño en pulgadas."""

    def run(self, sender, *args):
        """Ejecuta el cálculo de DPI con los argumentos dados."""
        if len(args) != 3:
            return " Uso: `.dpi <ancho> <alto> <pulgadas>` (Ej: `.dpi 1920 1080 24`)"

        try:
            ancho = int(args[0])
            alto = int(args[1])
            pulgadas = float(args[2])

            # Cálculo de DPI
            diagonal_pixeles = math.sqrt(ancho**2 + alto**2)
            dpi = diagonal_pixeles / pulgadas

            return f" **DPI Calculado:** {dpi:.2f} dpi"
        except ValueError:
            return " Error: Asegúrate de ingresar números válidos para el ancho, alto y pulgadas."

    def help(self):
        """Muestra la ayuda para el comando .dpi"""
        return " Uso: `.dpi <ancho> <alto> <pulgadas>` - Calcula los DPI de una pantalla. Ejemplo: `.dpi 1920 1080 24`"

