import wikipediaapi

wiki_lang = "es"
wiki = wikipediaapi.Wikipedia(
    language=wiki_lang,
    user_agent="MyIRCBot/1.0 (https://github.com/tu-repo; contacto@example.com)"
)

def fetch_summary(query):
    """Busca un resumen en Wikipedia."""
    try:
        page = wiki.page(query)
        if not page.exists():
            return f" No encontré información sobre '{query}'."
        return f" {query}:\n{page.summary[:300]}..."  # Máximo 300 caracteres
    except Exception as e:
        return f"️ Error en la consulta: {e}"

def run(sender, *args):
    """Ejecuta la búsqueda en Wikipedia."""
    if not args:
        return " Uso: `.wiki <término>` (Ejemplo: `.wiki Arch Linux`)"

    termino = " ".join(args)
    return fetch_summary(termino)

def help():
    return " Uso: `.wiki <término>` - Busca en Wikipedia.\nEjemplo: `.wiki Arch Linux`"

